namespace Geekeey.Common.Results.Tests;

[TestFixture]
internal sealed class ErrorTests
{
	[Test]
	public void ImplicitConversion_FromString_ReturnsStringError()
	{
		Error error = "error";

		Assert.Multiple(() =>
		{
			Assert.That(error, Is.InstanceOf<StringError>());
			Assert.That(error.Message, Is.EqualTo("error"));
		});
	}

	[Test]
	public void ImplicitConversion_FromException_ReturnsExceptionError()
	{
		Error error = new CustomTestException();

		Assert.Multiple(() =>
		{
			Assert.That(error, Is.InstanceOf<ExceptionError>());
			var instance = error as ExceptionError;
			Assert.That(instance?.Exception, Is.InstanceOf<CustomTestException>());
		});
	}
}