namespace Geekeey.Common.Results;

/// <summary>
/// An error which is constructed from an exception.
/// </summary>
/// <param name="exception">The exception in the error.</param>
public sealed class ExceptionError(Exception exception) : Error
{
	/// <summary>
	/// The exception in the error.
	/// </summary>
	public Exception Exception { get; } = exception;

	/// <summary>
	/// The exception in the error.
	/// </summary>
	public override string Message => Exception.Message;
}